% Options for packages loaded elsewhere
\PassOptionsToPackage{unicode}{hyperref}
\PassOptionsToPackage{hyphens}{url}
%
\documentclass[
]{article}
\usepackage{amsmath,amssymb}
\usepackage{lmodern}
\usepackage{iftex}
\ifPDFTeX
  \usepackage[T1]{fontenc}
  \usepackage[utf8]{inputenc}
  \usepackage{textcomp} % provide euro and other symbols
\else % if luatex or xetex
  \usepackage{unicode-math}
  \defaultfontfeatures{Scale=MatchLowercase}
  \defaultfontfeatures[\rmfamily]{Ligatures=TeX,Scale=1}
\fi
% Use upquote if available, for straight quotes in verbatim environments
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}
\IfFileExists{microtype.sty}{% use microtype if available
  \usepackage[]{microtype}
  \UseMicrotypeSet[protrusion]{basicmath} % disable protrusion for tt fonts
}{}
\makeatletter
\@ifundefined{KOMAClassName}{% if non-KOMA class
  \IfFileExists{parskip.sty}{%
    \usepackage{parskip}
  }{% else
    \setlength{\parindent}{0pt}
    \setlength{\parskip}{6pt plus 2pt minus 1pt}}
}{% if KOMA class
  \KOMAoptions{parskip=half}}
\makeatother
\usepackage{xcolor}
\IfFileExists{xurl.sty}{\usepackage{xurl}}{} % add URL line breaks if available
\IfFileExists{bookmark.sty}{\usepackage{bookmark}}{\usepackage{hyperref}}
\hypersetup{
  pdftitle={StateSwitch\_rmcorr},
  hidelinks,
  pdfcreator={LaTeX via pandoc}}
\urlstyle{same} % disable monospaced font for URLs
\usepackage[margin=1in]{geometry}
\usepackage{color}
\usepackage{fancyvrb}
\newcommand{\VerbBar}{|}
\newcommand{\VERB}{\Verb[commandchars=\\\{\}]}
\DefineVerbatimEnvironment{Highlighting}{Verbatim}{commandchars=\\\{\}}
% Add ',fontsize=\small' for more characters per line
\usepackage{framed}
\definecolor{shadecolor}{RGB}{248,248,248}
\newenvironment{Shaded}{\begin{snugshade}}{\end{snugshade}}
\newcommand{\AlertTok}[1]{\textcolor[rgb]{0.94,0.16,0.16}{#1}}
\newcommand{\AnnotationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\AttributeTok}[1]{\textcolor[rgb]{0.77,0.63,0.00}{#1}}
\newcommand{\BaseNTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\BuiltInTok}[1]{#1}
\newcommand{\CharTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\CommentTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\CommentVarTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ConstantTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ControlFlowTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\DataTypeTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{#1}}
\newcommand{\DecValTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\DocumentationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ErrorTok}[1]{\textcolor[rgb]{0.64,0.00,0.00}{\textbf{#1}}}
\newcommand{\ExtensionTok}[1]{#1}
\newcommand{\FloatTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\FunctionTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ImportTok}[1]{#1}
\newcommand{\InformationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\KeywordTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\NormalTok}[1]{#1}
\newcommand{\OperatorTok}[1]{\textcolor[rgb]{0.81,0.36,0.00}{\textbf{#1}}}
\newcommand{\OtherTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{#1}}
\newcommand{\PreprocessorTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\RegionMarkerTok}[1]{#1}
\newcommand{\SpecialCharTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\SpecialStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\StringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\VariableTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\VerbatimStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\WarningTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\usepackage{graphicx}
\makeatletter
\def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth\else\Gin@nat@width\fi}
\def\maxheight{\ifdim\Gin@nat@height>\textheight\textheight\else\Gin@nat@height\fi}
\makeatother
% Scale images if necessary, so that they will not overflow the page
% margins by default, and it is still possible to overwrite the defaults
% using explicit options in \includegraphics[width, height, ...]{}
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}
% Set default figure placement to htbp
\makeatletter
\def\fps@figure{htbp}
\makeatother
\setlength{\emergencystretch}{3em} % prevent overfull lines
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}
\setcounter{secnumdepth}{-\maxdimen} % remove section numbering
\ifLuaTeX
  \usepackage{selnolig}  % disable illegal ligatures
\fi

\title{StateSwitch\_rmcorr}
\author{}
\date{\vspace{-2.5em}}

\begin{document}
\maketitle

\hypertarget{read-the-data-for-the-anova-from-matlab-output}{%
\section{read the data for the ANOVA from MATLAB
output}\label{read-the-data-for-the-anova-from-matlab-output}}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{rm}\NormalTok{(}\AttributeTok{list =} \FunctionTok{ls}\NormalTok{()) }\CommentTok{\# clear workspace}

\NormalTok{rootpath }\OtherTok{=} \FunctionTok{here}\NormalTok{()}
\NormalTok{data }\OtherTok{=} \FunctionTok{readMat}\NormalTok{(}\FunctionTok{file.path}\NormalTok{(rootpath, }\StringTok{\textquotesingle{}data\textquotesingle{}}\NormalTok{, }\StringTok{\textquotesingle{}G\_DecodingResults\textquotesingle{}}\NormalTok{, }\StringTok{\textquotesingle{}G6D\_decode4R\_unprobed.mat\textquotesingle{}}\NormalTok{))}
\NormalTok{data }\OtherTok{=} \FunctionTok{as.data.frame}\NormalTok{(}\FunctionTok{matrix}\NormalTok{(}\FunctionTok{unlist}\NormalTok{(data), }\AttributeTok{nrow=}\DecValTok{6}\NormalTok{, }\AttributeTok{byrow=}\NormalTok{T),}\AttributeTok{stringsAsFactors=}\ConstantTok{TRUE}\NormalTok{, }\AttributeTok{header =} \ConstantTok{TRUE}\NormalTok{)}
\NormalTok{data }\OtherTok{=} \FunctionTok{t}\NormalTok{(data) }\CommentTok{\# transpose matrix}
\NormalTok{data }\OtherTok{=} \FunctionTok{data.frame}\NormalTok{(data) }\CommentTok{\# convert to data frame}
\FunctionTok{names}\NormalTok{(data) }\OtherTok{=} \FunctionTok{as.character}\NormalTok{(}\FunctionTok{unlist}\NormalTok{(data[}\DecValTok{1}\NormalTok{, ]))}
\NormalTok{data }\OtherTok{=}\NormalTok{ data[}\SpecialCharTok{{-}}\DecValTok{1}\NormalTok{, ]}
\end{Highlighting}
\end{Shaded}

\hypertarget{create-numeric-or-categorical-variables}{%
\section{create numeric or categorical
variables}\label{create-numeric-or-categorical-variables}}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{data}\SpecialCharTok{$}\NormalTok{ID }\OtherTok{=} \FunctionTok{as.factor}\NormalTok{(data}\SpecialCharTok{$}\NormalTok{ID)}
\NormalTok{data}\SpecialCharTok{$}\NormalTok{age }\OtherTok{=} \FunctionTok{as.factor}\NormalTok{(data}\SpecialCharTok{$}\NormalTok{age)}
\NormalTok{data}\SpecialCharTok{$}\NormalTok{feature }\OtherTok{=} \FunctionTok{as.factor}\NormalTok{(data}\SpecialCharTok{$}\NormalTok{feature)}
\CommentTok{\#data$dim = as.factor(data$dim)}
\NormalTok{data}\SpecialCharTok{$}\NormalTok{dim }\OtherTok{=} \FunctionTok{as.numeric}\NormalTok{(}\FunctionTok{sub}\NormalTok{(}\StringTok{","}\NormalTok{, }\StringTok{"."}\NormalTok{, data}\SpecialCharTok{$}\NormalTok{dim, }\AttributeTok{fixed =} \ConstantTok{TRUE}\NormalTok{))}
\CommentTok{\#data$time = as.numeric(sub(",", ".", data$time, fixed = TRUE))}
\NormalTok{data}\SpecialCharTok{$}\NormalTok{time }\OtherTok{=} \FunctionTok{as.factor}\NormalTok{(data}\SpecialCharTok{$}\NormalTok{time)}
\NormalTok{data}\SpecialCharTok{$}\NormalTok{dec\_acc }\OtherTok{=} \FunctionTok{as.numeric}\NormalTok{(}\FunctionTok{sub}\NormalTok{(}\StringTok{","}\NormalTok{, }\StringTok{"."}\NormalTok{, data}\SpecialCharTok{$}\NormalTok{dec\_acc, }\AttributeTok{fixed =} \ConstantTok{TRUE}\NormalTok{))}
\end{Highlighting}
\end{Shaded}

\hypertarget{select-subset-of-data-by-timepoint}{%
\section{select subset of data (by
timepoint)}\label{select-subset-of-data-by-timepoint}}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{curTimes }\OtherTok{=} \FunctionTok{as.factor}\NormalTok{(}\FunctionTok{c}\NormalTok{(}\DecValTok{7}\SpecialCharTok{:}\DecValTok{18}\NormalTok{))}
\NormalTok{curData }\OtherTok{=}\NormalTok{ data[}\FunctionTok{which}\NormalTok{(data}\SpecialCharTok{$}\NormalTok{time }\SpecialCharTok{\%in\%}\NormalTok{ curTimes), ]}
\end{Highlighting}
\end{Shaded}

\hypertarget{linear-mixed-effects-models}{%
\subsection{linear mixed effects
models}\label{linear-mixed-effects-models}}

Here, we probe the data for an effect of dimensionality on decoding
accuracy, as well as a potential age*dim interaction. This is done for
each time point separately.

\begin{verbatim}
## Linear mixed model fit by REML. t-tests use Satterthwaite's method [
## lmerModLmerTest]
## Formula: dec_acc ~ dim * age + (1 | ID)
##    Data: curData
## 
## REML criterion at convergence: 99415
## 
## Scaled residuals: 
##    Min     1Q Median     3Q    Max 
## -3.682 -0.673 -0.008  0.657  5.133 
## 
## Random effects:
##  Groups   Name        Variance Std.Dev.
##  ID       (Intercept)  0.337   0.58    
##  Residual             15.187   3.90    
## Number of obs: 17856, groups:  ID, 93
## 
## Fixed effects:
##              Estimate Std. Error        df t value Pr(>|t|)    
## (Intercept)  5.01e+01   1.26e-01  3.45e+02  397.47   <2e-16 ***
## dim          9.53e-02   3.52e-02  1.78e+04    2.71   0.0068 ** 
## ageYA        3.61e-01   1.88e-01  3.45e+02    1.92   0.0551 .  
## dim:ageYA   -4.10e-02   5.24e-02  1.78e+04   -0.78   0.4336    
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
## 
## Correlation of Fixed Effects:
##           (Intr) dim    ageYA 
## dim       -0.698              
## ageYA     -0.672  0.469       
## dim:ageYA  0.469 -0.672 -0.698
\end{verbatim}

\begin{verbatim}
## Type III Analysis of Variance Table with Satterthwaite's method
##         Sum Sq Mean Sq NumDF DenDF F value Pr(>F)   
## dim      123.6   123.6     1 17761    8.14 0.0043 **
## age       56.3    56.3     1   345    3.71 0.0551 . 
## dim:age    9.3     9.3     1 17761    0.61 0.4336   
## ---
## Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
\end{verbatim}

\begin{center}\includegraphics[width=0.5\linewidth]{G6D_LinearMEM_unprobed_files/figure-latex/unnamed-chunk-3-1} \end{center}

\end{document}
